//////////////////////////////////////////
// ListView.cpp
//Copyright (c) 01/11/2003 by BCCSkelton
//////////////////////////////////////////
#include	"ListView.h"
//☆ユーザーヘッダーの読み込み
#include	"User.h"
#include	"ListViewProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!ListView.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", "ListView");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	ListView.Init("MainWnd", hInstance, SDIPROC, "IDM_MAIN");

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!ListView.Create("ListView"))
		return 0L;

	//メッセージループに入る
	return ListView.Loop();
}
